Bug 226399 - Merge Review: scim-tables
Merge Review: scim-tables
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:56 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 05:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:56:05 EST
Fedora Merge Review: scim-tables

http://cvs.fedora.redhat.com/viewcvs/devel/scim-tables/
Initial Owner: petersen@redhat.com
Comment 1 Warren Togami 2007-02-01 14:15:37 EST
https://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00626.html

Another pre-Bugzilla review.  Probably needs a recheck.
Comment 2 Parag AN(पराग) 2007-03-02 02:16:59 EST
mock build is fine.
But rpmlint on SRPM and RPMs reported following messages(Combined output)

W: scim-tables unversioned-explicit-obsoletes scim-tables-zh
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: scim-tables unversioned-explicit-obsoletes scim-tables-ja
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: scim-tables unversioned-explicit-obsoletes scim-tables-ko
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: scim-tables macro-in-%changelog _datadir
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

W: scim-tables mixed-use-of-spaces-and-tabs (spaces: line 488, tab: line 7)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

E: scim-tables obsolete-not-provided scim-tables-japanese
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: scim-tables obsolete-not-provided scim-tables-korean
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: scim-tables-chinese obsolete-not-provided scim-tables-zh
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.
Comment 3 Jens Petersen 2007-03-08 23:55:29 EST
(In reply to comment #2)
> W: scim-tables unversioned-explicit-obsoletes scim-tables-zh
> W: scim-tables unversioned-explicit-obsoletes scim-tables-ja
> W: scim-tables unversioned-explicit-obsoletes scim-tables-ko

I don't think we need these obsoletes anymore - they were from
the upstream .spec file I think.

> W: scim-tables macro-in-%changelog _datadir
> W: scim-tables mixed-use-of-spaces-and-tabs (spaces: line 488, tab: line 7)

Need to be fixed.

> E: scim-tables obsolete-not-provided scim-tables-japanese
> E: scim-tables obsolete-not-provided scim-tables-korean

This is because the Japanese and Korean are now excluded from our package
since they are not useful.

> E: scim-tables-chinese obsolete-not-provided scim-tables-zh

Ditto above: probably don't need to obsolete scim-tables-zh since
such a package hasn't ever been shipped in fedora.

cchance@redhat.com is the new package owner.
Comment 4 Jens Petersen 2007-03-08 23:59:16 EST
(In reply to comment #3)
> > W: scim-tables unversioned-explicit-obsoletes scim-tables-zh
> > W: scim-tables unversioned-explicit-obsoletes scim-tables-ja
> > W: scim-tables unversioned-explicit-obsoletes scim-tables-ko
> I don't think we need these obsoletes anymore - they were from
> the upstream .spec file I think.
> > E: scim-tables-chinese obsolete-not-provided scim-tables-zh
> Ditto above: probably don't need to obsolete scim-tables-zh since
> such a package hasn't ever been shipped in fedora.

Erm, please ignore those comments the initial fedora extras package did have
those subpackages: sorry for the confusion.
Comment 5 Parag AN(पराग) 2007-03-26 05:45:42 EDT
Any update?
Comment 6 Caius Chance 2007-03-26 19:46:03 EDT
In progress of patching above 'W' & "E'.
Comment 7 Jens Petersen 2007-03-26 19:53:15 EDT
(Just for the record: this package was reassigned to cchance@redhat.com
at the end of last month.)
Comment 8 Caius Chance 2007-03-27 01:23:59 EDT
Fixed and committed.
Comment 9 Parag AN(पराग) 2007-03-27 01:45:42 EDT
This is Merge-Review request and yet I have not done any Official review of this
package. So this bug cannot be CLOSED.
Comment 10 Parag AN(पराग) 2007-04-17 03:37:04 EDT
rpm -qf /usr/share/scim/tables/
scim-tables-additional-0.5.7-2.1.fc7
scim-tables-amharic-0.5.7-2.1.fc7
scim-tables-arabic-0.5.7-2.1.fc7
scim-tables-chinese-0.5.7-2.1.fc7
scim-tables-nepali-0.5.7-2.1.fc7
scim-tables-russian-0.5.7-2.1.fc7
scim-tables-thai-0.5.7-2.1.fc7
scim-tables-vietnamese-0.5.7-2.1.fc7

why a single directory is owned by multiple rpms?
Comment 11 Mamoru TASAKA 2007-04-17 03:49:45 EDT
(In reply to comment #10)
> rpm -qf /usr/share/scim/tables/
> scim-tables-additional-0.5.7-2.1.fc7
> scim-tables-amharic-0.5.7-2.1.fc7
> scim-tables-arabic-0.5.7-2.1.fc7
> scim-tables-chinese-0.5.7-2.1.fc7
> scim-tables-nepali-0.5.7-2.1.fc7
> scim-tables-russian-0.5.7-2.1.fc7
> scim-tables-thai-0.5.7-2.1.fc7
> scim-tables-vietnamese-0.5.7-2.1.fc7
> 
> why a single directory is owned by multiple rpms?

Well, as all scim-table-<lang> requires scim-table,
the directory /usr/share/scim/tables/ should be owned by
scim-table.
Comment 12 Jens Petersen 2007-04-17 05:13:17 EDT
my bad - fixing in cvs and 1.5.7-3.fc7
Comment 13 Caius Chance 2007-04-17 19:41:13 EDT
Please feel free to let me know if there are any assistance required. Thanks.
Comment 14 Parag AN(पराग) 2007-04-23 05:07:44 EDT
oops sorry for taking time. Here comes a quick review.

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
58d7f7dd231d73ef179e072b3124ebac  scim-tables-0.5.7.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text COPYING is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: table-imengine-setup.so table.so

APPROVED.
Comment 15 Jens Petersen 2007-04-23 22:35:34 EDT
I would like to have a EPEL EL-4 branch for this.
Comment 16 Jens Petersen 2007-04-24 05:56:45 EDT
Package Change Request
======================
Package Name: scim-tables
New Branches: EL-4
Updated EPEL Owners: cchance@redhat.com,petersen@redhat.com

Note You need to log in before you can comment on or make changes to this bug.